## ros-rolling-warehouse-ros-mongo 2.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(warehouse_ros_mongo)

if(NOT "${CMAKE_CXX_STANDARD}")
  set(CMAKE_CXX_STANDARD 14)
endif()
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

# Set compile options 
set(PROJECT_COMPILE_OPTIONS 
  -Wall 
  -Wextra 
  -Wpedantic
)

list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/")

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(std_msgs REQUIRED)
find_package(warehouse_ros REQUIRED)
find_package(class_loader REQUIRED)
find_package(MONGODB REQUIRED)
find_package(ament_cmake_python REQUIRED)
find_package(rclpy REQUIRED)

# Find package for Boost component dependencies
include(ConfigExtras.cmake)

include(CheckIncludeFileCXX)
check_include_file_cxx("mongo/version.h" HAVE_MONGO_VERSION_H)
if(HAVE_MONGO_VERSION_H)
  add_definitions(-DWAREHOUSE_ROS_MONGO_HAVE_MONGO_VERSION_H)
endif()

set(MONGO_EXPORT)
if("${MONGODB_LIBRARIES}" MATCHES "\\.so$")
  set(MONGO_EXPORT MONGODB)
endif()

if(NOT MONGODB_EXPOSE_MACROS_FLAG)
  add_definitions(-DMONGO_EXPOSE_MACROS)
endif()

# Install the python module for this package
ament_python_install_package(${PROJECT_NAME})

# At least gcc 7.4 has issues compiling against mongoclient with optimization > 1 enabled.
# In this case, Labeler symbols LT, GT, etc. are null, causing weird results.
if(CMAKE_COMPILER_IS_GNUCC)
  add_compile_options(-O1)
endif()

configure_file("include/${PROJECT_NAME}/config.h.in" "${CMAKE_BINARY_DIR}/include/${PROJECT_NAME}/config.h")

include_directories(${CMAKE_BINARY_DIR}/include include ${MONGODB_INCLUDE_DIR})

set(warehouse_srcs
  src/query_results.cpp
  src/message_collection.cpp
  src/database_connection.cpp)

add_library(${PROJECT_NAME} SHARED ${warehouse_srcs})
target_compile_options(${PROJECT_NAME} PRIVATE ${PROJECT_COMPILE_OPTIONS})
ament_target_dependencies(${PROJECT_NAME}
  rclcpp
  std_msgs
  warehouse_ros
  class_loader
)
target_link_libraries(${PROJECT_NAME} ${MONGODB_LIBRARIES})

if(BUILD_TESTING)
  find_package(launch_testing_ament_cmake)
  find_package(ament_cmake_gtest REQUIRED)

  ament_add_gtest_executable(test_warehouse_ros_mongo_cpp test/test_warehouse_ros_mongo.cpp)
  target_link_libraries(test_warehouse_ros_mongo_cpp warehouse_ros_mongo ${GTEST_LIBRARIES})
  add_launch_test(test/warehouse_ros_mongo.launch.py
    ARGS "test_binary_dir:=$<TARGET_FILE_DIR:test_warehouse_ros_mongo_cpp>")

  # ament_lint
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

install(PROGRAMS ${PROJECT_NAME}/mongo_wrapper_ros.py DESTINATION lib/${PROJECT_NAME})

install(DIRECTORY include/${PROJECT_NAME}/ DESTINATION include
        FILES_MATCHING PATTERN "*.h")
#catkin_lint: ignore_once external_file
install(FILES "${CMAKE_BINARY_DIR}/include/${PROJECT_NAME}/config.h"
        DESTINATION include/${PROJECT_NAME})

install(FILES test/warehouse_ros_mongo.launch.py
        DESTINATION share/${PROJECT_NAME})

install(
  FILES cmake/FindMONGODB.cmake
  DESTINATION share/${PROJECT_NAME}/cmake
)

install(
  TARGETS ${PROJECT_NAME}
  EXPORT export_${PROJECT_NAME}
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)

ament_export_targets(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)
ament_export_dependencies(
  ament_cmake
  rclcpp
  std_msgs
  warehouse_ros
  class_loader
  ament_cmake_python
  rclpy
  MONGODB
)

if(BUILD_TESTING)
  find_package(ament_lint_auto)
  ament_lint_auto_find_test_dependencies()
endif()

pluginlib_export_plugin_description_file(warehouse_ros mongo_database_connection_plugin_description.xml)

ament_package(CONFIG_EXTRAS ConfigExtras.cmake)

=== debian/changelog ===
ros-rolling-warehouse-ros-mongo (2.0.3-1focal) focal; urgency=high

  * Clean OpenSSL dependencies (#67 <https://github.com/ros-planning/warehouse_ros_mongo/issues/67>)
  * Add Copyright and LICENSE files (#65 <https://github.com/ros-planning/warehouse_ros_mongo/issues/65>)
  * Contributors: Vatan Aksoy Tezer

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 26 Sep 2021 21:00:00 -0000

ros-rolling-warehouse-ros-mongo (2.0.2-1focal) focal; urgency=high

  * [ROS2] Add prerelease tests (#59 <https://github.com/ros-planning/warehouse_ros_mongo/issues/59>)
  * Use libssl-dev build_depend for OpenSSL (#63 <https://github.com/ros-planning/warehouse_ros_mongo/issues/63>)
  * Add CI for Galactic, Rolling (#57 <https://github.com/ros-planning/warehouse_ros_mongo/issues/57>)(#56 <https://github.com/ros-planning/warehouse_ros_mongo/issues/56>)
  * Contributors: Henning Kayser, Vatan Aksoy Tezer

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 16 Jun 2021 21:00:00 -0000

ros-rolling-warehouse-ros-mongo (2.0.1-1focal) focal; urgency=high

  * Fix installation path for FindMONGODB.cmake (#42 <https://github.com/ros-planning/warehouse_ros_mongo/issues/42>)
  * Fix cmake export of MONGODB dependency (#41 <https://github.com/ros-planning/warehouse_ros_mongo/issues/41>)
  * Contributors: Jafar Abdi, Robert Haschke, Tyler Weaver

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 08 Apr 2021 21:00:00 -0000

ros-rolling-warehouse-ros-mongo (2.0.0-1focal) focal; urgency=high

  * [ros2-migration] Port to ROS 2 (#38 <https://github.com/ros-planning/warehouse_ros_mongo/issues/38>)
    * Migrate package.xml and cmake files to ROS 2
    * Apply ROS 2 migration steps to source files
    * Compile on ROS 2 Foxy, enable CI
    * Check clang-format, ament_lint
  * Contributors: Yu Yan

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 19 Nov 2020 21:00:00 -0000

ros-rolling-warehouse-ros-mongo (0.10.0-1focal) focal; urgency=high

  * clang-format-10
  * Python3 compatibility layer for roslaunch in CMake (#35 <https://github.com/ros-planning/warehouse_ros_mongo/issues/35>)
  * Contributors: Robert Haschke, Tyler Weaver

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 08 Oct 2020 21:00:00 -0000

ros-rolling-warehouse-ros-mongo (0.9.2-1focal) focal; urgency=high

  * Proper cmake test for mongo/version.h
  * Bump cmake version to 3.0.2
  * ROS test: Start mongodb
  * mongo_wrapper_ros.py: Handle permission errors creating database path
  * python3 syntax compatibility
  * Contributors: Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 20 Jul 2020 21:00:00 -0000

ros-rolling-warehouse-ros-mongo (0.9.1-1focal) focal; urgency=high

  * Initialize mongo client only once (#28 <https://github.com/ros-planning/warehouse_ros_mongo/issues/28>)
  * Restore mongod python wrapper
  * Contributors: Masaki Murooka, Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Fri, 27 Sep 2019 21:00:00 -0000

ros-rolling-warehouse-ros-mongo (0.9.0-1focal) focal; urgency=high

  * Use std pointers
  * Fix catkin issues
  * Refactored Warehouse ROS for pluginlib
  * Contributors: Christian Rauch, Connor Brew, Dave Coleman, Robert Haschke, v4hn

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 13 Aug 2019 21:00:00 -0000

ros-rolling-warehouse-ros-mongo (0.8.8-1focal) focal; urgency=high

  * Merge pull request #13 <https://github.com/ros-planning/warehouse_ros/issues/13> from corot/master
    Issue #11 <https://github.com/ros-planning/warehouse_ros/issues/11>: Add a Python library
  * Merge pull request #15 <https://github.com/ros-planning/warehouse_ros/issues/15> from v4hn/shared-static-mongodb
    only export MongoDB dependency for shared mongodb-library
  * only export MongoDB dependency for shared mongodb-library
    libmongoclient.a uses quite a number of other libs and the exact
    requirements can't be read from a cmake/pc file.
    Therefore it makes more sense to keep the dependency hidden from ROS
    when we use the static lib. libwarehouse_ros then provides all required functions.
    ... This is a bit like creating a libmongoclient.so, but the whole problem
    exists because debian/ubuntu don't provide this one, right?
    The shared library can - and has to - be exported as a dependency to ROS.
  * Missing part of https://github.com/corot/world_canvas/issues/10:
    requires both mongodb and mongodb-dev
  * Merge branch 'master' of https://github.com/corot/warehouse_ros.git
  * Add kwargs also to insert so we can solves issues as
    https://github.com/corot/world_canvas/issues/13
  * Add kwargs to ensure_index so we can solves issues as
    https://github.com/corot/world_canvas/issues/13
  * Add python-pymongo dependency
  * Issue https://github.com/corot/world_canvas/issues/11: rospy queue_size
    warnings
  * Issue #11 <https://github.com/ros-planning/warehouse_ros/issues/11>: Add a Python library
  * Contributors: Ioan A Sucan, corot, v4hn

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 30 Sep 2014 21:00:00 -0000

ros-rolling-warehouse-ros-mongo (0.8.5-1focal) focal; urgency=high

  * Fixed malloc.h inclusion on Mac OS X
  * Rename README.rst to README.md
  * added travis support
  * Contributors: Acorn, Dave Hershberger, Ioan A Sucan, Marco Esposito

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sat, 22 Feb 2014 22:00:00 -0000

ros-rolling-warehouse-ros-mongo (0.8.4-1focal) focal; urgency=high

  * update how we find MongoDB

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 02 Jul 2013 21:00:00 -0000

ros-rolling-warehouse-ros-mongo (0.8.2-1focal) focal; urgency=high

  * fix typo and use correct install location
  * add config.h.in for deciding how to include mongo headers

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 02 Jul 2013 21:00:00 -0000



=== debian/control ===
Source: ros-rolling-warehouse-ros-mongo
Section: misc
Priority: optional
Maintainer: MoveIt Release Team <moveit_releasers@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), libmongoclient-dev, mongodb, ros-rolling-ament-cmake, ros-rolling-ament-cmake-copyright, ros-rolling-ament-cmake-gtest, ros-rolling-ament-cmake-python, ros-rolling-ament-index-cpp, ros-rolling-ament-lint-auto, ros-rolling-class-loader, ros-rolling-launch-ros, ros-rolling-launch-testing-ament-cmake, ros-rolling-rclcpp, ros-rolling-rclpy, ros-rolling-std-msgs, ros-rolling-warehouse-ros, ros-rolling-ros-workspace
Homepage: http://ros.org/wiki/warehouse_ros
Standards-Version: 3.9.2

Package: ros-rolling-warehouse-ros-mongo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mongodb, ros-rolling-class-loader, ros-rolling-rclcpp, ros-rolling-rclpy, ros-rolling-std-msgs, ros-rolling-warehouse-ros, ros-rolling-ros-workspace
Description: Implementation of warehouse_ros for MongoDB

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-warehouse-ros-mongo//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
